#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int N, L;
    vector<int> visina(N);

    cin>>N>>L;

    for (int i=0; i<N; i++)
    {
        cin>>visina[i];
    }

    for (int i=0; i<N; i++)
    {
        if (visina[i]<=L)
        {
            cout<<i+1<<endl;
            return 0;
        }
    }

    cout<<-1<<endl;

    return 0;
}